## org.eclipse.jst.jsf.common.internal.finder.acceptor
Class JarMatchingAcceptor

    java.lang.Object
      org.eclipse.jst.jsf.common.internal.finder.VisitorMatcher.MatchingAcceptor<IProject,org.eclipse.jst.jsf.common.internal.resource.ClasspathJarFile>
          org.eclipse.jst.jsf.common.internal.finder.acceptor.JarMatchingAcceptor

    public class JarMatchingAcceptor

extends org.eclipse.jst.jsf.common.internal.finder.VisitorMatcher.MatchingAcceptor<IProject,org.eclipse.jst.jsf.common.internal.resource.ClasspathJarFile>

A matching acceptor that provides the jars referenced by a project.

Constructor Summary
`JarMatchingAcceptor(org.eclipse.jst.jsf.common.internal.resource.JavaCoreMediator javaCoreMediator)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarMatchingAcceptor

    public JarMatchingAcceptor(org.eclipse.jst.jsf.common.internal.resource.JavaCoreMediator javaCoreMediator)

Parameters:
  `javaCoreMediator` -